List External Transfers
curl --request GET \
--url https://api.synctera.com/v1/external_cards/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/external_cards/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/external_cards/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_transfers": [
{
"card_details": {
"address_verification_result": "ADDRESS_AND_ZIP_MISMATCH",
"cvv2_result": "CVV_MISMATCH",
"name_verification_result": "NAME_MISMATCH",
"pull_details": {
"country": "US",
"currency": "USD",
"network": "<string>",
"product_type": "CREDIT",
"regulated": true
},
"pull_enabled": true,
"push_details": {
"country": "US",
"currency": "USD",
"funds_availability": "FEW",
"network": "<string>",
"product_type": "CREDIT",
"regulated": true
},
"push_enabled": true,
"bin": "<string>",
"issuer": "<string>",
"last_four": "1234",
"payment_account_reference": "<string>"
},
"type": "PULL",
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"amount": 123,
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "<string>",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"merchant": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"name": "<string>",
"email": "alice@example.com",
"phone_number": "+14374570680"
},
"status": "CANCELED",
"tenant": "abcdef_ghijkl",
"network_decline_details": "<string>",
"reason": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}External Cards
List External Transfers
List External Card Transfers
GET
/
external_cards
/
transfers
List External Transfers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Type of transfer operation.
| Type | Description |
|---|---|
| PUSH | Funds pushed to an External Card from an Account |
| PULL | Funds pulled from an External Card to an Account |
| PULL_REVERSAL | Funds pushed back to an External Card from an Account |
| APPLE_PAY_PULL | Funds pulled from an Apple Pay card to an Account |
| APPLE_PAY_PULL_REVERSAL | Funds returned to Apple Pay card from original recipient Account |
| GOOGLE_PAY_PULL | Pull funds from a Google Pay card to an Account |
| GOOGLE_PAY_PULL_REVERSAL | Funds returned to Google Pay card from original recipient Account |
Available options:
APPLE_PAY_PULL, APPLE_PAY_PULL_REVERSAL, GOOGLE_PAY_PULL, GOOGLE_PAY_PULL_REVERSAL, PULL, PULL_REVERSAL, PUSH The status of the transfer
Available options:
CANCELED, DECLINED, PENDING, SUCCEEDED, UNKNOWN The id of the tenant containing the resource.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Response
External Card Transfer list
external_transfers
(Token Response · object | Pull Response · object | Push Response · object)[]
required
Array of External transfer
- Token Response
- Pull Response
- Push Response
Show child attributes
Show child attributes
If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.
Example:
"a8937a0d"
Was this page helpful?

